import { WidgetBase } from "@csnext/cs-client";
import { GraphElement } from "@csnext/cs-data";
import { TextEntity } from "@csnext/cs-data";
import { DocDatasource } from "../../datasources/doc-datasource";
import { GraphDocument } from "../../classes/document/graph-document";
import { FeatureType } from "@csnext/cs-data";
export default class SelectionPopup extends WidgetBase {
    editor: any;
    entity?: TextEntity;
    text?: any;
    source?: DocDatasource;
    document?: GraphDocument;
    tab: string;
    viewtab: number;
    searchNode: boolean;
    potentialTypes: FeatureType[];
    addNote: boolean;
    searchOnline: {
        _title: string;
    };
    searchMode: string;
    from?: number;
    to?: number;
    newCategory: FeatureType | null;
    newNoteSource: GraphElement;
    newNoteEEI: GraphElement;
    newNoteUrl: string;
    newEntityNode: GraphElement;
    suggestions: GraphElement[] | null;
    constructor();
    contentLoaded(): void;
    private updateEntity;
    createEntity(): Promise<void>;
    updateSuggestions(): void;
    createNewNode(ft: FeatureType): Promise<void>;
    graphNode(entity: TextEntity): void;
    locateOnMap(): void;
    nearby(): void;
    unlinkEntity(): Promise<void>;
    includeEntity(): Promise<void>;
    excludeEntity(): Promise<void>;
    useSuggestion(target: GraphElement): Promise<void>;
    createNode(): Promise<void>;
    addEntityAsClass(entity: TextEntity, category: FeatureType): Promise<void>;
    linkNode(): Promise<void>;
    openNode(entity: TextEntity): void;
    publishChanges(): void;
    deleteEntity(): Promise<void>;
    private selectionChanged;
    private updatePotentialTypes;
    mounted(): void;
}
